import request from '@/plugin/axios'


//删除
export function delFaceById(data) {
  return request({
    url: '/face/delFacePassageAccessById',
    method: 'post',
    data
  })
}


//编辑回显
export function getFacePassageAccessById(data) {
  return request({
    url: '/face/getFacePassageAccessById',
    method: 'post',
    data
  })
}


//新增
export function saveOrUpdata(data) {
  return request({
    url: '/face/saveOrUpdataFacePassageAccess',
    method: 'post',
    data
  })
}


//设备树
export function getFaceTree(data) {
  return request({
    url: '/tree/getFaceTrees',
    method: 'post',
    data
  })
}


//查询权限组
export function getFacePassageAccessByList (data) {
  return request({
    url: '/face/getFacePassageAccessByList',
    method: 'post',
    data
  })
}


//查询列表
export function getFacePassageList (data) {
  return request({
    url: '/face/getFacePassageAccessByPage',
    method: 'post',
    data
  })
}